print(round(123.456,1))
print(round(123.456,0))
print('\n')
print(type(round(123.456,1)))
print(type(round(123.456,0)))
print('\n')
print(round(123.456))
print(type(round(123.456)))
print('\n')

gg=range(76,123,9)
print(list(gg),'\n')
print(list(range(23)))
print('\n')


qq=['Terekhov','Zhalnin', 'Petrov']
ff=zip(qq,gg)
print(tuple(ff))
print('\n')

fff=10
dan=eval('5*fff-156')
print(dan)
print('\n')

print(dir())
print('\n')

print(abs(-7), abs(3.5))
print('\n')

print(max(1,2,3,4,5))
print(min(1,2,3,4,5))
print('\n')

print(pow(2,3))
print(pow(2,3,5)) # 2**3 = 8, затем 8 % 5 = 3.
print('\n')

print(sum([1,2,3,4,5]))
print(sum((1,2,3,4,5)))
print(sum({1,2,3,4,5}))
print('\n')

print(divmod(29, 5))  
print('\n')

print(len([1,2,3,4,5]), len("привет"))
print('\n')


vals = [3, -8, 5, 0, 12, -1]
r = list(map(abs, vals))
print(r)